%global packname  rprintf
%global rlibdir  %{_datadir}/R/library


Name:             R-%{packname}
Version:          0.2.1
Release:          4%{?dist}
Summary:          Adaptive Builder for Formatted Strings

License:          MIT
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-stringi
# Suggests:  R-testthat R-knitr
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core

Requires:         R-stringi
Requires:         R-testthat R-knitr
BuildRequires:    R-devel tex(latex)
BuildRequires:    R-stringi
BuildRequires:    R-testthat R-knitr

%description
Provides a set of functions to facilitate building formatted strings under
various replacement rules: C-style formatting, variable-based formatting,
and number-based formatting. C-style formatting is basically identical to
built-in function 'sprintf'. Variable-based formatting allows users to put
variable names in a formatted string which will be replaced by variable
values. Number-based formatting allows users to use index numbers to
represent the corresponding argument value to appear in the string.


%prep
%setup -q -c -n %{packname}

for file in %{packname}/NEWS; do
    sed "s|\r||g" ${file} > ${file}.new
    touch -r ${file} ${file}.new
    mv ${file}.new ${file}
done


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%license %{rlibdir}/%{packname}/LICENSE
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 22 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.2.1-2
- Fix some file line endings

* Tue Mar 20 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.2.1-1
- initial package for Fedora
